gnutls_record_get_direction(3)

NAME
gnutls_record_get_direction - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_record_get_direction(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

DESCRIPTION
This function is useful to determine whether a GnuTLS function was interrupted while sending or receiving, so that select() or poll() may be called appropriately. It provides information about the internals of the record protocol and is only useful if a prior gnutls function call, e.g. gnutls_handshake(), was interrupted and returned GNUTLS_E_INTERRUPTED or GNUTLS_E_AGAIN. After such an interrupt applications may call select() or poll() before restoring the interrupted GnuTLS function. This function's output is unreliable if you are using the same
 session in different threads, for sending and receiving.

RETURNS
0 if interrupted while trying to read data, or 1 while trying to write data.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2018 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/